booster::aio::const_buffer Class Reference

An immutable buffer - buffer for write operations. More...

`#include <booster/booster/aio/buffer.h>`

Inheritance diagram for booster::aio::const_buffer:

## Public Member Functions

| const_buffer (mutable_buffer const &other)
Public Member Functions inherited from booster::aio::buffer_impl< const char * >
| buffer_impl ()
std::pair< entry const *, size_t > | get () const
void | add (const char *p, size_t s)
bool | empty () const

## Additional Inherited Members

Public Types inherited from booster::aio::buffer_impl< const char * >
typedef std::pair< entry const *, size_t > | buffer_data_type
| A pair that defined the chunk.

## Detailed Description

An immutable buffer - buffer for write operations.

## Constructor & Destructor Documentation

booster::aio::const_buffer::const_buffer | ( | mutable_buffer const & | other | ) |

inline

Create a const buffer from mutable buffer

References booster::aio::buffer_impl< const char * >::add(), and booster::aio::buffer_impl< Pointer >::get().

The documentation for this class was generated from the following file:

- booster/aio/buffer.h